#include <iostream>
#include <string>

using namespace std;

int main()
{
    int x,y;
    cin >> x >> y;
    string rez = "";
    if(x > y)
    {
        while(y > 0)
        {
            if(x%10 > y % 10)
            {
                rez += to_string(x%10);
            }
            else if(x % 10 < y%10)
            {
                rez += to_string(y%10);
            }
            else
            {
                rez += to_string(x%10);
                rez += to_string(y%10);
            }
            x /= 10;
            y /= 10;
        }
        if(x != 0)
        {
            cout << to_string(x);
            for(int i = rez.length()-1;i>=0;i--)
            {
                cout << rez[i];
            }

        }
    }
    else
    {
        while(x > 0)
        {
            if(x%10 > y % 10)
            {
                rez += to_string(x%10);
            }
            else if(x % 10 < y%10)
            {
                rez += to_string(y%10);
            }
            else
            {
                rez += to_string(x%10);
                rez += to_string(y%10);
            }
            x /= 10;
            y /= 10;
        }
        if(y != 0)
        {
            cout << to_string(y);
            for(int i = rez.length()-1;i>=0;i--)
            {
                cout << rez[i];
            }

        }
    }


}